CELESTE_STANDALONE("1")

NAME
celeste_standalone - Cloud identification

SYNOPSIS
celeste_standalone [options] image1 image2 [..]

DESCRIPTION
Celeste has been trained using Support vector machine techniques to identify clouds in photos and remove control points from these areas. celeste_standalone is a command-line tool with all the same functionality as Celeste in hugin.

Simple usage is to just 'clean' an existing project file:

 celeste_standalone -i project.pto -o project.pto

OPTIONS

-i <filename>
    Input Hugin PTO file. Control points over SVM threshold will be removed before being written to the output file. If -m is set to 1, images in the file will be also be masked.

-o <filename>
    Output Hugin PTO file. Default: '<filename>_celeste.pto'

-d <filename>
    SVM model file. Default: 'data/celeste.model'

-s <int>
    Maximum dimension for re-sized image prior to processing. A higher value will increase the resolution of the mask but is significantly slower. Default: 800

-t <float>
    SVM threshold. Raise this value to remove fewer control points, lower it to remove more. Range 0 to 1. Default: 0.5

-m <1|0>
    Create masks when processing Hugin PTO file. Default: 0

-f <string>
    Mask file format. Options are PNG, JPEG, BMP, GIF and TIFF. Default: PNG

-r <1|0>
    Filter radius. 0 = large (more accurate), 1 = small (higher resolution mask, slower, less accurate). Default: 0

-h  Print usage.

AUTHORS
Written by Tim Nugent.